Minimum Browser Requirements

As a general rule, we provide support for the most recent Microsoft browser versions (Edge / Internet Explorer) as well as current versions of Google Chrome and Apple Safari on currently supported Windows and Apple Mac operating systems.

Our application supports video playback without the need for a plug-in if your browser is capable (HTML5 video playback). If your browser does not support native video playback using HTML5 you will need to install  Adobe Flash. Please ensure this is the latest version.

Officially Supported Operating Systems / Browsers

  • Microsoft Internet Explorer 11 (Windows 10, 8.1, 7)
  • Microsoft Edge (Windows 10)
  • Mozilla Firefox (Windows 10, 8.1, 7 / OS X)
  • Google Chrome (Windows 10, 8.1, 7 / OS X)
  • Desktop/Mobile Safari (OS X / iOS)

As and when software vendors release new operating systems and end support for old operating systems, we will update our application accordingly to ensure the best possible performance.

Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.